Subject: RE: system() bug
From: [email-masked] (Sergey Okhapkin)

24 Aug 1997 23:21:32 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BCB12E.2CF9C670.cygnus.gnu-win32@sos>
Original-To: "[email-masked]" <[email-masked]>,
        "'Tim Newsham'"
	 <[email-masked]>
Encoding: 26 TEXT
Original-Sender: [email-masked]

Tim Newsham wrote:
>    I've noticed occasional problems with system() before.  Well at
> the moment the problem seems to be happening every time so I figured
> I'd take the occasion to get some debugging info.  The test
> program I used is:
> 
>     main()
>     {
>         system("/winnt/system32/arp -a");
>         printf("done!\n");
>     }
> 
> At the moment, every time I run this program I get a crash.

Did you try cygwin.dll with my patches?

Interface: 201.1.1.2 on Interface 2
  Internet Address      Physical Address      Type
  201.1.1.1             00-40-05-14-18-64     dynamic
done!

-- 
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".